summaryrefslogtreecommitdiff
path: root/lib/cli.zsh
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2022-05-23 12:25:11 -0600
committerTuowen Zhao <ztuowen@gmail.com>2022-05-23 12:25:11 -0600
commit901674e84756d64024cdc70f9590c3557c6d92d6 (patch)
treed3b90c50a39f4a7f220b0a19718dc305fe1c7af4 /lib/cli.zsh
parent2023d3ab658fe8ed4dd4ca33cd5974ab8f0ad945 (diff)
parent39b600e9e564db3dec265fcf2e3db4b5568dd93a (diff)
downloadzsh-901674e84756d64024cdc70f9590c3557c6d92d6.tar.gz
zsh-901674e84756d64024cdc70f9590c3557c6d92d6.tar.bz2
zsh-901674e84756d64024cdc70f9590c3557c6d92d6.zip
Merge remote-tracking branch 'github/master'
Diffstat (limited to 'lib/cli.zsh')
-rw-r--r--lib/cli.zsh6
1 files changed, 3 insertions, 3 deletions
diff --git a/lib/cli.zsh b/lib/cli.zsh
index bf783d9f3..b71f6d9ce 100644
--- a/lib/cli.zsh
+++ b/lib/cli.zsh
@@ -573,13 +573,13 @@ function _omz::pr::test {
# Rebase pull request branch against the current master
_omz::log info "rebasing PR #$1..."
- local gpgsign
+ local ret gpgsign
{
# Back up commit.gpgsign setting: use --local to get the current repository
# setting, not the global one. If --local is not a known option, it will
# exit with a 129 status code.
- gpgsign=$(command git config --local commit.gpgsign 2>/dev/null)
- [[ $? -ne 129 ]] || gpgsign=$(command git config commit.gpgsign 2>/dev/null)
+ gpgsign=$(command git config --local commit.gpgsign 2>/dev/null) || ret=$?
+ [[ $ret -ne 129 ]] || gpgsign=$(command git config commit.gpgsign 2>/dev/null)
command git config commit.gpgsign false
command git rebase master ohmyzsh/pull-$1 || {